Get Meetings
curl --request GET \
--url https://commerce.driv.ly/api/meetingsimport requests
url = "https://commerce.driv.ly/api/meetings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/meetings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/meetings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://commerce.driv.ly/api/meetings")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/meetings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "met_3kd93d3j93d2",
"time": "2024-03-12T10:00:00Z",
"note": "Discuss annual contract terms",
"email": "contact@email.com",
"salesRep": {
"id": "rep_3kd93d3j93d2",
"emails": [
"rep@email.com"
],
"lastName": "Smith",
"firstName": "John",
"templates": [
"Template ID"
],
"creditBands": [
"Good",
"Excellent"
],
"primaryEmail": "rep@email.com",
"phoneNumbers": [
"555-0182"
],
"primaryPhoneNumber": "555-0182",
"isAcceptingNewLeads": true
},
"phoneNumber": "555-0192"
}
],
"success": true,
"page": 2,
"nextPage": 3,
"prevPage": 1,
"totalPages": 3,
"totalCount": 25,
"limit": 10,
"pagingCounter": 11,
"hasPrevPage": true,
"hasNextPage": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Sales
Get Meetings
GET
/
meetings
Get Meetings
curl --request GET \
--url https://commerce.driv.ly/api/meetingsimport requests
url = "https://commerce.driv.ly/api/meetings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/meetings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/meetings"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://commerce.driv.ly/api/meetings")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/meetings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "met_3kd93d3j93d2",
"time": "2024-03-12T10:00:00Z",
"note": "Discuss annual contract terms",
"email": "contact@email.com",
"salesRep": {
"id": "rep_3kd93d3j93d2",
"emails": [
"rep@email.com"
],
"lastName": "Smith",
"firstName": "John",
"templates": [
"Template ID"
],
"creditBands": [
"Good",
"Excellent"
],
"primaryEmail": "rep@email.com",
"phoneNumbers": [
"555-0182"
],
"primaryPhoneNumber": "555-0182",
"isAcceptingNewLeads": true
},
"phoneNumber": "555-0192"
}
],
"success": true,
"page": 2,
"nextPage": 3,
"prevPage": 1,
"totalPages": 3,
"totalCount": 25,
"limit": 10,
"pagingCounter": 11,
"hasPrevPage": true,
"hasNextPage": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Query Parameters
Response
Meetings Found